| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/ref.h File Reference

Smart Pointers. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csPtr< T >
| A pointer encapsulator. More...
class | csRef< T >
| A smart pointer. More...
## Defines
#define | CS_VOIDED_PTR ((intptr_t)-1)
#define | CSREF_TRACK_ASSIGN(obj, tag)
#define | CSREF_TRACK_DECREF(obj, tag) if (obj) obj->DecRef();
#define | CSREF_TRACK_INCREF(obj, tag) if (obj) obj->IncRef();

## Detailed Description

Smart Pointers.

Definition in file ref.h.